Description

It would be great to wrap serach panel HTML element (the form) to extra div since form itself is hardly styled in cross-browser

manner.

It would allow to set border, some kind of decorations ...e tc, whic is (by my ipinion) useful to better orientation on the screen.

I have attached how it may look on the screen (the red color of the border is sample only to make it really contrast) and in the

resulting HTML code.

Associated revisions

Revision 12645 - 2014-01-11 12:12 - Jean-Philippe Lang

Wrap filters, options and buttons with extra div (#15362).

History

#1 - 2013-11-15 22:02 - Jean-Philippe Lang

- Assignee set to Jean-Philippe Lang

I'd prefer to add a div inside the form that wraps the content and buttons (eg. <form><div id="...">...</div></form>).

Please, let me know if you have any problem with that.

#2 - 2013-11-20 10:57 - Radek  Terber

From my perspective it is better to WRAP it since it is more flexible (as I know - especially in older IEs - there were issues with styling things directly

inside form), but my goal is to style ENTIRE search and option panel different way then default, so it this goal is achievet it is OK.

I am not so experienced in HTML styling...

#3 - 2013-11-20 19:19 - Jean-Philippe Lang

- Subject changed from To wrap "search and fields" form with extra div to Wrap filters, options and buttons with extra div on the issue list

- Category set to UI

- Target version set to 2.5.0

The problem is that I'd like to add the same kind of div to the query form on the time entries list. And this form needs to wrap not only the filters and

options but the tabs that are below and a few more fields.

I've made a few tests with my firefox and styling a div that wraps the form or the whole content of the form does not make any difference, so I'll go

with this option.

#4 - 2014-01-11 12:12 - Jean-Philippe Lang

- Status changed from New to Closed

- Resolution set to Fixed

div#query_form_with_buttons added in r12645 to issues and time entries filters.
